function []=acetlyenplot(t,x,sol)
stat= input('Choose corrdinate in the plot; 1) t and z, 2) z and r, 3) t and r: ');
koord1= {'Time [s]','Axial distance [m]','Time [s]'} ;
koord2= {'Axial distance [m]','Radial distance [m]','Radial distance [m]'} ;
komponenter={'acetylene (C_2H_2)', 'ethylene (C_2H_4)', 'methylacetylene (C_3H_4-ma)',...
    'propadiene (C_3H_4-pd)'};
if stat==1
    disp(['Show the outlet condition at ',num2str(t(end)),' secounds'])
    x_disp=size(sol,2);
elseif stat==2
    disp(['Show the condiions at r=',num2str(x(end)),' m, z=',num2str(t(end)),' m'])
    x_disp=size(sol,2);
elseif stat==3
    disp(['Show the condiions at r=0 m, t=',num2str(t(end)),' secounds'])
    x_disp=1;
end

if size(sol,3)==5
    for i=1:size(sol,3)
        figure(i)
        if i==5 % T
            surf(x,t,sol(:,:,i)-273.15,'LineStyle','none')
            title('Temperature [C]')
            disp(['T = ',num2str(sol(end,x_disp,i)-273.15), 'C'])
        else
            surf(x,t,sol(:,:,i),'LineStyle','none')
            title(['Molar fraction ', char(komponenter(i)),' [-]'])
            disp(['Molar fraction ', char(komponenter(i)),' = ',num2str(sol(end,x_disp,i))])
        end
        ylabel(koord1(stat))
        xlabel(koord2(stat))
        
        figure(i+10)
        if i==5 % T
            plot(x,sol(end,:,i)-273.15)
            title(['Condition at maximum ',char(koord1(stat))])
            ylabel('Temperature [C]')
        else
            plot(x,sol(end,:,i))
            title(['Condition at maximum ',char(koord1(stat))])
            ylabel(['Molar fraction ', char(komponenter(i)),' [-]'])
        end
        grid on
        xlabel(koord2(stat))
    end
end

if size(sol,3)==1
    i=1;
    figure(i)
    surf(x,t,sol(:,:,i)-273.15,'LineStyle','none')
    title('Temperature [C]')
    disp(['T = ',num2str(sol(end,end,i)-273.15), 'C'])
    ylabel(koord1(stat))
    xlabel(koord2(stat))
    
    figure(i+10)
    plot(x,sol(end,:,i)-273.15)
    title(['condition at maximim ',char(koord1(stat))])
    ylabel('Temperature [C]')
    xlabel(koord2(stat))
    grid on
end

if size(sol,3)==10
    for i=1:size(sol,3)
        figure(i)
        if i==5 % T
            surf(x,t,sol(:,:,i)-273.15,'LineStyle','none')
            title('Temperature [C]')
            disp(['T = ',num2str(sol(end,end,i)-273.15), 'C'])
        elseif i==10
            surf(x,t,sol(:,:,i)-273.15,'LineStyle','none')
            title('Particle temperature [C]')
            disp(['T_p = ',num2str(sol(end,end,i)-273.15), 'C'])
        elseif i>5
            surf(x,t,sol(:,:,i),'LineStyle','none')
            title(['Molar fraction ', char(komponenter(i-5)),' particle [-]'])
            disp(['Molar fraction ', char(komponenter(i-5)),' particle = ',num2str(sol(end,end,i))])
        else
            surf(x,t,sol(:,:,i),'LineStyle','none')
            title(['Molar fraction ', char(komponenter(i)),' [-]'])
            disp(['Molar fraction ', char(komponenter(i)),' = ',num2str(sol(end,end,i))])
        end
        ylabel(koord1(stat))
        xlabel(koord2(stat))
        if i<6
            figure(i+10)
            if i==5 % T
                plot(x,sol(end,:,i)-273.15,x,sol(end,:,i+5)-273.15)
                title(['condition at maximium ',char(koord1(stat))])
                ylabel('Temperature [C]')
            else
                plot(x,sol(end,:,i),x,sol(end,:,i+5))
                title(['condition at maximum ',char(koord1(stat))])
                ylabel(['Molar fraction ', char(komponenter(i)),' [-]'])
            end
            grid on
            legend('Bulk','Particle')
            xlabel(koord2(stat))
        end
    end
end
if size(sol,3)==2
    for i=1:size(sol,3)
        figure(i)
        if i==1 % T
            surf(x,t,sol(:,:,i)-273.15,'LineStyle','none')
            title('Temperature N_2 [C]')
            disp(['Temperature N_2 = ',num2str(sol(end,x_disp,i)-273.15), 'C'])
        else
            surf(x,t,sol(:,:,i)-273.15,'LineStyle','none')
            title('Temperature particle [C]')
            disp(['Temperature particle= ',num2str(sol(end,x_disp,i)-273.15), 'C'])
        end
        ylabel(koord1(stat))
        xlabel(koord2(stat))
        
        figure(i+10)
        if i==1 % T
            plot(x,sol(:,end,i)-273.15)
            title(['condition at maximum ',char(koord2(stat))])
            ylabel('Temperature N_2 [C]')
        else
            plot(x,sol(:,end,i)-273.15)
            title(['condition at maximum ',char(koord2(stat))])
            ylabel('Temperature particle [C]')
        end
        grid on
        xlabel(koord1(stat))
    end
end