function enskild_partikel
clear all
close all
clc
tutorial=4;

konstanter
save('konstanter')
m = 2;
r = linspace(0,dp/2,50); % 50 good for 60 C
t = linspace(0,500,100);
sol = pdepe(m,@pdex4pde,@pdex4ic,@pdex4bc,r,t);
acetlyenplot(t,r,sol)
% --------------------------------------------------------------
function [c,f,s] = pdex4pde(r,t,u,DuDr)
load konstanter
c=zeros(5,1);
f=zeros(5,1);
s=zeros(5,1);

Dbulk = diffube(u(5),(P/1e5));
Deff = 0.1*Dbulk;

ctot=P/(gask*u(5));
[cp,dH]=cpdh_t(u(5));

r_rates=rhast(u(5),u(1),u(3),yco);
rv=[r_rates(1),r_rates(2)-r_rates(1),r_rates(3),r_rates(4)];

c(1:4) = ctot*epsp;
c(5) = rhop*cpkat+epsp*ctot*cp;
f(1:4) = Deff*ctot.*DuDr(1:4)';
f(5) = lambdaeff*DuDr(5);
s(1:4) = -rv*rhop;
s(5) = rhop*(-r_rates*dH');


% --------------------------------------------------------------
function u0 = pdex4ic(r)
load konstanter
u0=zeros(5,1);
u0(1:5) = uin;
% --------------------------------------------------------------
function [pl,ql,pr,qr] = pdex4bc(rl,ul,rr,ur,t)
load konstanter
pl = zeros(5,1);
ql = zeros(5,1);
pr = zeros(5,1);
qr = zeros(5,1);

ctot=P/(gask*uin(5));
[hf, kcf] = hkcfilm(uin(5));

pl(1:4) = 0;
pl(5) = 0;
ql(1:4) = 1;
ql(5) = 1;
pr(1:4) = ctot*kcf.*(ur(1:4)'-uin(1:4));
pr(5) = hf*(ur(5)-uin(5));
qr(1:4) = 1;
qr(5) = 1;