function icke_adiabat
clear all;close all;clc
tutorial=2;
% Possible to use at Tin=60C but not for 90C
konstanter
save('konstanter')

m = 0;
x = linspace(0,L,50); 
t = linspace(0,500,100);
sol = pdepe(m,@pdex4pde,@pdex4ic,@pdex4bc,x,t);
acetlyenplot(t,x,sol)
% --------------------------------------------------------------
function [c,f,s] = pdex4pde(x,t,u,DuDx)
load konstanter
c=zeros(5,1);
f=zeros(5,1);
s=zeros(5,1);

ctot=P/gask/u(5);
[cp,dH]=cpdh_t(u(5)); 
r_rates=rhast(u(5),u(1),u(3),yco);
rv=[r_rates(1),r_rates(2)-r_rates(1),r_rates(3),r_rates(4)];

Re_luft=dt*vluft/nyluft;
Pr_luft=Cpluft*myluft/lambdaluft;
alpha_luft=lambdaluft*0.027*Re_luft^0.805*Pr_luft^(1/3)/dt;

% alpha_gas
G_gas=Ftot*Xtotin*Mm'/A;
lambda_gas=lambdabe(u(5));
my_gas=viskobe(u(5));
alpha_gas=3.50*(dp*G_gas/my_gas)^0.7*exp(-4.6*dp/dt)*lambda_gas/dt;

alpha_tot=(1/alpha_gas+l/lambdal+1/alpha_luft)^-1;

c(1:4) = A*epstot*ctot; 
c(5) = A*(epstot*cp*ctot+rhob*cpkat);
f(1:4) = 0;
f(5) = 0;
s(1:4) = -rv*A*rhob-Ftot*DuDx(1:4)';
s(5) = A*rhob*(-r_rates*dH')-Ftot*cp*DuDx(5)-dt*pi*alpha_tot*(u(5)-Tute);
% --------------------------------------------------------------
function u0 = pdex4ic(x)
load konstanter
u0=zeros(5,1);
u0(1:5) = uin; 
% --------------------------------------------------------------
function [pl,ql,pr,qr] = pdex4bc(xl,ul,xr,ur,t)
load konstanter
pl = zeros(5,1); 
ql = zeros(5,1); 
pr = zeros(5,1); 
qr = zeros(5,1); 

pl(1:5)=uin'-ul;
pr(1:4) = 0; 
pr(5) = 0;
qr(1:4) = 1;
qr(5) = 1;