function kylning_mot
clear all;close all;clc
tutorial=5;

konstanter
save('konstanter')

m = 0;
x = linspace(0,L,100); % 50 good at 60 C
t = linspace(0,500,100);
sol = pdepe(m,@pdex4pde,@pdex4ic,@pdex4bc,x,t);
acetlyenplot(t,x,sol)
% --------------------------------------------------------------
function [c,f,s] = pdex4pde(x,t,u,DuDx)
load konstanter
c=zeros(2,1);
f=zeros(2,1);
s=zeros(2,1);

ctot=P/To/u(1);
[Gm,cp,hk]=gmhkyl(u(1));
Sm=6/rhop/dp;
Ftot=Gm*A;

c(1) = A*epsb*cp*ctot; 
c(2) = A*(rhob*cpkat+(1-epsb)*epsp*cp*ctot);
f(1) = 0;
f(2) = 0;
s(1) = Ftot*cp*DuDx(1)+hk*A*rhob*Sm*(u(2)-u(1));
s(2) = -hk*A*rhob*Sm*(u(2)-u(1));
% --------------------------------------------------------------
function u0 = pdex4ic(x)
load konstanter
u0=zeros(2,1);
u0(1) = uin(5);
load T_axiell_disp_90
u0(2) = interp1(z,T,x);
% --------------------------------------------------------------
function [pl,ql,pr,qr] = pdex4bc(xl,ul,xr,ur,t)
load konstanter
pl = zeros(2,1); 
ql = zeros(2,1); 
pr = zeros(2,1); 
qr = zeros(2,1); 

pl(1) = 0;
pl(2) = 0;
ql(1) = 1;
ql(2) = 1;

pr(1) = uin(5)-ur(1); 
pr(2) = 0;
qr(1) = 0;
qr(2) = 1;