function medelv=radiellt_medelv(z,r,sol)
komponenter={'acetylene (C_2H_2)', 'ethylene (C_4H_2)', 'meteylacetylene (C_3H_4-ma)',...
    'propadiene (C_3H_4-pd)'};
medelv=zeros(size(sol,3),1);
for i=1:size(sol,3)
    if i==5
        medelv(i)=trapz(r,2*pi*r.*sol(end,:,i))/(r(end)^2*pi)-273.15;
        disp(['T = ',num2str(medelv(i)), 'C'])
    else
        medelv(i)=trapz(r,2*pi*r.*sol(end,:,i))/(r(end)^2*pi);
        disp(['Molar fraction ', char(komponenter(i)),' = ',num2str(medelv(i))])
    end
end