function interfasgradienter
clear all
close all
clc
tutorial=4;

konstanter
Sm=6/(dp*rhop);
save('konstanter')

m = 0;
x = linspace(0,L,50); 
t = linspace(0,500,100);
sol = pdepe(m,@pdex4pde,@pdex4ic,@pdex4bc,x,t);
acetlyenplot(t,x,sol)

% --------------------------------------------------------------
function [c,f,s] = pdex4pde(x,t,u,DuDx)
load konstanter
c=zeros(10,1);
f=zeros(10,1);
s=zeros(10,1);

ctot=P/gask/u(5);
ctot_p=P/gask/u(10);
cp=cpdh_t(u(5)); 
[cp_p,dH]=cpdh_t(u(10));
[hf kcf]=hkcfilm(u(5));

r_rates=rhast(u(10),u(6),u(8),yco);
rv=[r_rates(1),r_rates(2)-r_rates(1),r_rates(3),r_rates(4)];

c(1:4) = A*epsb*ctot; 
c(5) = A*epsb*cp*ctot;
c(6:9)=A*(1-epsb)*epsp*ctot_p;
c(10)=A*rhob*cpkat+A*(1-epsb)*epsp*ctot_p*cp_p;
f(1:4) = 0;
f(5) = 0;
f(6:9) = 0;
f(10) = 0;
s(1:4) = -Ftot*DuDx(1:4)-A*rhob*Sm*kcf'.*(ctot.*u(1:4)-ctot_p.*u(6:9));
s(5) = -Ftot*cp*DuDx(5)-A*rhob*Sm*hf*(u(5)-u(10));
s(6:9) = A*rhob*Sm*kcf'.*(ctot.*u(1:4)-ctot_p.*u(6:9))-rv'*A*rhob;
s(10) = A*rhob*Sm*hf*(u(5)-u(10))+A*rhob*(-r_rates*dH');

% --------------------------------------------------------------
function u0 = pdex4ic(x)
load konstanter
u0=zeros(10,1);
u0(1:5) = uin; 
u0(6:10) = uin; 
% --------------------------------------------------------------
function [pl,ql,pr,qr] = pdex4bc(xl,ul,xr,ur,t)
load konstanter
pl = zeros(10,1); 
ql = zeros(10,1); 
pr = zeros(10,1); 
qr = zeros(10,1); 

pl(1:5)=uin'-ul(1:5);
pl(6:9)=0;
pl(10)=0;
ql(6:9)=1;
ql(10)=1;

pr(1:4) = 0; 
pr(5) = 0;
qr(1:4) = 1;
qr(5) = 1;

pr(6:9) = 0; 
pr(10) = 0;
qr(6:9) = 1;
qr(10) = 1;