function radiell_disp
clear all
close all
clc
tutorial=3;

konstanter
save('konstanter')


m = 1;
x = linspace(0,L,50);
r = linspace(0,dt/2,100);
sol = pdepe(m,@pdex4pde,@pdex4ic,@pdex4bc,r,x);
medelv=radiellt_medelv(x,r,sol);
acetlyenplot(x,r,sol)
function [c,f,s] = pdex4pde(r,x,u,DuDr)
load konstanter
c=zeros(5,1);
f=zeros(5,1);
s=zeros(5,1);

ctot=P/(gask*u(5));

Pe_ma=10;
lambda_g=lambdabe(u(5));
my=viskobe(u(5));
G=Ftot*Xtotin*Mm'/A;
Re=dp*G/my;
[cp,dH]=cpdh_t(u(5));
Pr=(Xtotin*Mm')^-1*cp*my/lambda_g;
lambda_ea=(8+Pr*Re/Pe_ma)*lambda_g;

v=(Ftot/ctot)/A;
vo=v/epsb;
Dea=vo*dp/(Pe_ma);

r_rates=rhast(u(5),u(1),u(3),yco);
rv=[r_rates(1),r_rates(2)-r_rates(1),r_rates(3),r_rates(4)];

c(1:4) = Ftot/A;
c(5) = Ftot*cp/A;
f(1:4) = epsb*Dea*ctot.*DuDr(1:4);
f(5) = lambda_ea*DuDr(5);
s(1:4) = -rv*rhob;
s(5) = rhob*(-r_rates*dH');


% --------------------------------------------------------------
function u0 = pdex4ic(r)
load konstanter
u0=zeros(5,1);
u0(1:5) = uin;
% --------------------------------------------------------------
function [pl,ql,pr,qr] = pdex4bc(rl,ul,rr,ur,t)
load konstanter
pl = zeros(5,1);
ql = zeros(5,1);
pr = zeros(5,1);
qr = zeros(5,1);

Re_luft=(dt+2*l)*vluft/nyluft;
Pr_luft=Cpluft*myluft/lambdaluft;
% alpha_luft=lambdaluft*0.027*Re_luft^0.805*Pr_luft^(1/3)/dt;
alpha_luft=lambdaluft*0.027*Re_luft^0.805*Pr_luft^(1/3)/(dt+2*l);

% alpha_gas
G_gas=Ftot*Xtotin*Mm'/A;
lambda_gas=lambdabe(ur(5));
my_gas=viskobe(ur(5));
alpha_gas=3.50*(dp*G_gas/my_gas)^0.7*exp(-4.6*dp/dt)*lambda_gas/dt;

alpha_tot=(1/alpha_gas+l/lambdal+1/alpha_luft)^-1;

pl(1:4) = 0;
pl(5) = 0;
ql(1:4) = 1;
ql(5) = 1;
pr(1:4) = 0;
pr(5) = alpha_tot*(ur(5)-Tute);
qr(1:4) = 1;
qr(5) = 1;