function testreaktor
clear all
close all
clc

konstanter
save('konstanter')

m = 0;
x = linspace(0,L,50); % 50 bra fr 60 C
t = linspace(0,500,100);
sol = pdepe(m,@pde_funk,@startvillkor,@randvillkor,x,t);
acetlyenplot(t,x,sol)

% --------------------------------------------------------------
function [c,f,s] = pde_funk(x,t,u,DuDx)
load konstanter
c=zeros(1,1);
f=zeros(1,1);
s=zeros(1,1);
ctot=P/gask/u(1);
load Termodynamisk_data
cp=interp1(T,cp,u(1)-273.15);
r_dH=interp1(T,r_dH,u(1)-273.15);

c(1) = A*(epstot*cp*ctot+rhob*cpkat);
f(1) = 0;
s(1) = -A*rhob*r_dH-Ftot*cp*DuDx(1);

% --------------------------------------------------------------
function u0 = startvillkor(x)
load konstanter
u0=zeros(1,1);
u0(1) = uin(5);
% --------------------------------------------------------------
function [pl,ql,pr,qr] = randvillkor(xl,ul,xr,ur,t)
load konstanter
pl = zeros(1,1);
ql = zeros(1,1);
pr = zeros(1,1);
qr = zeros(1,1);

pl(1)=uin(5)-ul;
pr(1) = 0;
qr(1) = 1;